MySQL connector 8.0.21 not Authenticating with ScaleArc

Overview

This article provides an explanation as to why ScaleArc is unable to successfully authenticate database clients using MySQL Connector/J 8.0.21 and instead gives an error that CLIENT_PLUGIN_AUTH is required.

It is important to note that MySQL 8.0 databases using the above connector are not officially certified for addition to ScaleArc clusters therefore the solution provided here is merely a workaround for environments having MySQL databases newer than MySQL 5.7.

Environment

  • ScaleArc for MySQL (All versions)
  • MySQL database newer than v5.7 

Information

MySQL supports several pluggable authentication methods, support for which has to be implemented in ScaleArc for the different MySQL Connector/J connectors used for client authentication.

ScaleArc currently supports mysql_native_password authentication which is the default authentication mechanism for MySQL 5.7 and older.

In MySQL 8.0, caching_sha2_password is the default authentication plugin which is currently not supported in ScaleArc. Refer to this external MySQL article for more information on the above default authentication mechanisms.

Since caching_sha2_password is currently not supported in ScaleArc, the suggested workaround to connect to MySQL 8.0 would be to change the default authentication plugin back to the old auth method to use mysql_native_password.

This is done by changing the value of the default_authentication_plugin system variable as documented in this linked article.

Note: It is important to remember that MySQL 8.0 is still not officially supported. Current release notes list down the following MySQL versions and flavors as the certified MySQL versions for use in ScaleArc clusters:
  • MySQL 5.5, 5.6, 5.7
  • Percona XtraDB Cluster 5.6.20
  • Galera 3.23 (Maria DB 10.3)
  • MariaDB 10.3
  • Amazon Aurora DB 

Back to top

Comments

0 comments

Please sign in to leave a comment.